Subject: bug#46472: Make lisp/mail/uce.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Fri, 12 Feb 2021 15:58:53 -0600

Severity: wishlist

While digging around, I have happened upon lisp/mail/uce.el.

Here is how it describes itself:

;; The code in this file provides a semi-automatic means of replying
;; to unsolicited commercial email (UCE) you might get.

It sends an email to the sender, as well as the abuse and postmaster
emails for the senders domain containing a fairly polite request to be
taken off any lists.  I think these days, it is pointless to reply to
spam, and no one is (or should be) doing it.  It only verifies to the
spammers that your email is valid, which is useful information to them
and will do nothing but ensure you stay on their list.

This seems like a relic from a more gentle and perhaps naive time of the
internet.  Nowadays, people should not waste their time on doing that,
but instead use a spam filter.

IOW, I think this library is useless these days.

So how about moving it to obsolete/?